# Add-RASThemeGroupFilter.md

## NAME

Add-RASThemeGroupFilter

## SYNOPSIS

Adds a new group filter to the theme group filters.

## SYNTAX

**Add-RASThemeGroupFilter** \[[Id](#id-string)] *(uint)* \[[GroupName](#groupname-string) *(string)*] \[[GroupSID](#groupsid-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASThemeGroupFilter \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[GroupName](#groupname-string) *(string)*] \[[GroupSID](#groupsid-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds a new group filter to the theme group filters.

## PARAMETERS

## GroupName (string)

The name of the group list

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GroupSID (string)

The group SID

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Name of the Theme policy to modify.

This must be the actual Theme policy name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The site ID to which to add the specified server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the Theme policy to modify. To obtain the ID, use the Get-RASTheme cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASThemeGroupFilter -Id 1 -GroupName GroupListName

Adds a group filter with name GroupListName for theme with Id 1.

## RELATED LINKS

* [Get-RASThemeGroupFilter](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasthemegroupfilter)
* [Remove-RASThemeGroupFilter](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasthemegroupfilter)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasthemegroupfilter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
